library(sp)
library(gstat)
library(quantmod)

# =========================================
setwd("C:/RPA/code/spatial_analysis")
# =========================================
# load dat
geodata1 = read.csv("data/transect_1.csv")
geodata2 = read.csv("data/transect_2.csv")
plot(geodata1$s,geodata1$z,xlab=("Distance [m]"),ylab=("Silt content [-]"),ylim=c(0,0.5))
plot(geodata2$s,geodata2$z,xlab=("Distance [m]"),ylab=("Silt content [-]"),ylim=c(0,0.5))
#edit(geodata)
#Compute basic statistics
mu1<- mean(geodata1$z) #mean
V1<- var(geodata1$z) #variance
S1<- sd(geodata1$z) #standard deviation
mu2<- mean(geodata2$z) #mean
V2<- var(geodata2$z) #variance
S2<- sd(geodata2$z) #standard deviation
mu1
V1
S1
##Compute lagged vectors and save as numerics into dataframe
geodata1$lag1<-Lag(geodata1$z, k = 1)
geodata1$lag1<-as.numeric(geodata1$lag1)
geodata1$lag2<-Lag(geodata1$z, k = 2)
geodata1$lag2<-as.numeric(geodata1$lag2)
geodata1$lag3<-Lag(geodata1$z, k = 3)
geodata1$lag3<-as.numeric(geodata1$lag3)
geodata1$lag4<-Lag(geodata1$z, k = 4)
geodata1$lag4<-as.numeric(geodata1$lag4)
geodata1$lag5<-Lag(geodata1$z, k = 5)
geodata1$lag5<-as.numeric(geodata1$lag5)
edit(geodata1)

##Compute lagged vectors and save as numerics into dataframe
geodata2$lag1<-Lag(geodata2$z, k = 1)
geodata2$lag1<-as.numeric(geodata2$lag1)
geodata2$lag2<-Lag(geodata2$z, k = 2)
geodata2$lag2<-as.numeric(geodata2$lag2)
geodata2$lag3<-Lag(geodata2$z, k = 3)
geodata2$lag3<-as.numeric(geodata2$lag3)
geodata2$lag4<-Lag(geodata2$z, k = 4)
geodata2$lag4<-as.numeric(geodata2$lag4)
geodata2$lag5<-Lag(geodata2$z, k = 5)
geodata2$lag5<-as.numeric(geodata2$lag5)
edit(geodata2)

##Plot scatter plots
str(geodata1)
plot(geodata1$z,geodata1$lag1,xlim=c(0.2,0.4),ylim=c(0.2,0.4),xlab=("x"),ylab=("x+h"))
abline(a=0,b=1,col="blue")
plot(geodata1$z,geodata1$lag2,xlim=c(0.2,0.4),ylim=c(0.2,0.4),xlab=("x"),ylab=("x+2h"))
abline(a=0,b=1,col="blue")
plot(geodata1$z,geodata1$lag3,xlim=c(0.2,0.4),ylim=c(0.2,0.4),xlab=("x"),ylab=("x+3h"))
abline(a=0,b=1,col="blue")
plot(geodata1$z,geodata1$lag4,xlim=c(0.2,0.4),ylim=c(0.2,0.4),xlab=("x"),ylab=("x+4h"))
abline(a=0,b=1,col="blue")
plot(geodata1$z,geodata1$lag5,xlim=c(0.2,0.4),ylim=c(0.2,0.4),xlab=("x"),ylab=("x+5h"))
abline(a=0,b=1,col="blue")
##=======================Correlations============================
corlag1<-cor(geodata1$z,geodata1$lag1,use="complete.obs")
corlag2<-cor(geodata1$z,geodata1$lag2,use="complete.obs")
corlag3<-cor(geodata1$z,geodata1$lag3,use="complete.obs")
corlag4<-cor(geodata1$z,geodata1$lag4,use="complete.obs")
corlag5<-cor(geodata1$z,geodata1$lag5,use="complete.obs")
correlations1<-c(corlag1,corlag2,corlag3,corlag4,corlag5)
correlations1

##===========================================================
##Plot scatter plots
plot(geodata2$z,geodata2$lag1,xlim=c(0.2,0.4),ylim=c(0.2,0.4),xlab=("x"),ylab=("x+h"))
abline(a=0,b=1,col="blue")
plot(geodata2$z,geodata2$lag2,xlim=c(0.2,0.4),ylim=c(0.2,0.4),xlab=("x"),ylab=("x+2h"))
abline(a=0,b=1,col="blue")
plot(geodata2$z,geodata2$lag3,xlim=c(0.2,0.4),ylim=c(0.2,0.4),xlab=("x"),ylab=("x+3h"))
abline(a=0,b=1,col="blue")
plot(geodata2$z,geodata2$lag4,xlim=c(0.2,0.4),ylim=c(0.2,0.4),xlab=("x"),ylab=("x+4h"))
abline(a=0,b=1,col="blue")
plot(geodata2$z,geodata2$lag5,xlim=c(0.2,0.4),ylim=c(0.2,0.4),xlab=("x"),ylab=("x+5h"))
abline(a=0,b=1,col="blue")
##=======================Correlations==========================
corlag1<-cor(geodata2$z,geodata2$lag1,use="complete.obs")
corlag2<-cor(geodata2$z,geodata2$lag2,use="complete.obs")
corlag3<-cor(geodata2$z,geodata2$lag3,use="complete.obs")
corlag4<-cor(geodata2$z,geodata2$lag4,use="complete.obs")
corlag5<-cor(geodata2$z,geodata2$lag5,use="complete.obs")
correlations2<-c(corlag1,corlag2,corlag3,corlag4,corlag5)
correlations2
