# Load DEM of Emilia-Romagna region
ER.DEM <- read_stars("dem450_ER.tif")
names(ER.DEM) <- "ALT"
# make a grid in km
xmin <- min(st_get_dimension_values(ER.DEM,"x"))/1000
xmax <- max(st_get_dimension_values(ER.DEM,"x"))/1000
ymin <- min(st_get_dimension_values(ER.DEM,"y"))/1000
ymax <- max(st_get_dimension_values(ER.DEM,"y"))/1000

newgrid <- expand.grid(x = seq(xmin, xmax, by = 4.5),
                       y = seq(ymin, ymax, by = 4.5))
# Transform to dataframe for successive elaborations
as.data.frame(newgrid) -> newgrid.df
as.data.frame(ER.DEM) -> ER.DEM.df
# Convert coordinates in kilometers
ER.DEM1.df <- ER.DEM.df
ER.DEM1.df$x <- ER.DEM1.df$x/1000
ER.DEM1.df$y <- ER.DEM1.df$y/1000
# Add altitude to grid points
newgrid.df$ALT <- NA
for (i in 1:nrow(newgrid.df)){
  ER.DEM1.df$ALT[ER.DEM1.df$x>=(newgrid.df$x[i]-2) & ER.DEM1.df$x<(newgrid.df$x[i]+2) &
                   ER.DEM1.df$y>=(newgrid.df$y[i]-2) & ER.DEM1.df$y<(newgrid.df$y[i]+2)] -> xxx
  newgrid.df$ALT[i] <- mean(xxx)
}
# Delete NA values, re-obtaining the region shape
na.omit(newgrid.df) -> newgrid.df
# Transform into sf class
st_as_sf(newgrid.df,coords=c("x","y")) -> newgrid.sf
newgrid.geom <- st_geometry(newgrid.sf)
# Verify geometry
plot(newgrid.geom)
# time part of the stars object
t = st_get_dimension_values(dat2_june.st, 1)
st_as_stars(list(ALT = matrix(newgrid.sf$ALT, length(t), length(newgrid.geom),byrow=TRUE))) %>%
  st_set_dimensions(names = c("time", "station")) %>%  
  st_set_dimensions("time", t) %>%  
  st_set_dimensions("station", newgrid.geom) -> newgrid.st
# verify geometry
plot(st_geometry(newgrid.st))

