# load required libraries
library(lattice)
# rearrange v2.st in matrix form
tmp <- v2.st
dd <- tmp$spacelag
tt <- tmp$timelag
gg <- tmp$gamma
XY <- expand.grid(X=dd,Y=tt)
MX <- matrix(XY$X,nrow=10,ncol=31,byrow=TRUE)
MY <- matrix(rep(1:10,31),10,31)
GG <- matrix(gg,10,31,byrow=TRUE)
levelplot(GG ~ MX + MY,col.regions=heat.colors,
          xlab="distance",ylab="time lag")

# Semivariogram model
Ns = 0
Ss = 1
As = 1e5
Nt = 0.002744451
St = 0.997255549
At = 1088.299
Sst = 889.53781502222

gam.t = Nt+St*(1-exp(-MY/At))
gam.s = Ns+Ss*MX/As
gam = Sst*(gam.s+gam.t-gam.s*gam.t)

levelplot(gam ~ MX + MY,col.regions=heat.colors,
          xlab="distance",ylab="time lag")

# plot the difference between sample and model semivariogram
dif <- abs(gam-GG)
levelplot(dif ~ MX + MY,col.regions=heat.colors,
          xlab="distance",ylab="time lag")
# Sum of squared differences
(SSD <- sum(dif^2))
