# After running SPAT_Code_4
predict(Tmax.fit,ER.DEM) -> Tmax.trend
matrix(unname(Tmax.trend),nrow=635,ncol=337) -> Tmax.trend1
Tmax.pred1 <- res.kriged
tmp <- res.kriged$var1.pred
# sum trend and residual kriging
Tmax.pred1$var1.pred <- tmp+Tmax.trend1
# plot
ggplot() + geom_stars(data = Tmax.pred1) +
  coord_equal()+
  theme_void() +
  scale_fill_steps(n.breaks=8,low="blue",high="orange",na.value="white") +
  scale_x_discrete(expand=c(0,0))+
  scale_y_discrete(expand=c(0,0))+
  labs(fill="Pred") +
  theme(panel.border = element_rect(linetype = "solid", fill = NA),
        legend.key.size = unit(0.95, 'cm'))+
  theme(plot.margin=unit(c(1,1,1,1),"cm"))

# load required libraries
library(mapview)
library(RColorBrewer)
pal <- colorRampPalette(brewer.pal(9, "YlOrRd"))
# regression kriging plot on geographic map
mapview(Tmax.pred1['var1.pred'],col.regions=pal,legend=TRUE,layer="Tmax")
# stations and measured values on geographic map
mapview(geo_data.sf[,2],legend=TRUE,layer="Tmax",col.regions=pal)
