# Latitude and logitude in km
st_as_stars(list(TMAX = as.matrix(Tmax.xts),ALT = as.matrix(Alt.xts))) %>%
  st_set_dimensions(names = c("time", "station")) %>%  # nomi colonne
  st_set_dimensions("time", index(Tmax.xts)) %>%  # trasforma time da char a POSIXct
  st_set_dimensions("station", space_part.geom/1000) -> dat2.st

dat2.st %>% filter(time>="2020-06-01",time<="2020-06-30") -> dat2_june.st
# verify geometry
plot(st_geometry(dat2_june.st))
# sample semivariogram
v2.st <- variogramST(TMAX~1+ALT, dat2_june.st, width=10, cutoff=300, tlags = 1:10)
plot(v2.st)
# no map
plot(v2.st,map=FALSE)
